--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend.kshlib	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend.kshlib	Wed Aug 31 16:21:28 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2013, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -66,22 +66,22 @@
 {
 	typeset pool=$1
 
-	log_must $ZFS create -p $pool/$FS/fs1/fs2
+	log_must zfs create -p $pool/$FS/fs1/fs2
 
-	log_must $ZFS snapshot $pool@psnap
-	log_must $ZFS clone $pool@psnap $pool/pclone
+	log_must zfs snapshot $pool@psnap
+	log_must zfs clone $pool@psnap $pool/pclone
 
 	if is_global_zone ; then
-		log_must $ZFS create -V 16M $pool/vol
-		log_must $ZFS create -V 16M $pool/$FS/vol
+		log_must zfs create -V 16M $pool/vol
+		log_must zfs create -V 16M $pool/$FS/vol
 
-		log_must $ZFS snapshot $pool/$FS/vol@vsnap
-		log_must $ZFS clone $pool/$FS/vol@vsnap $pool/$FS/vclone
+		log_must zfs snapshot $pool/$FS/vol@vsnap
+		log_must zfs clone $pool/$FS/vol@vsnap $pool/$FS/vclone
 	fi
 
 	log_must snapshot_tree $pool/$FS/fs1/fs2@fsnap
-	log_must $ZFS clone $pool/$FS/fs1/fs2@fsnap $pool/$FS/fs1/fclone
-	log_must $ZFS snapshot -r $pool@init
+	log_must zfs clone $pool/$FS/fs1/fs2@fsnap $pool/$FS/fs1/fclone
+	log_must zfs snapshot -r $pool@init
 
 	log_must snapshot_tree $pool@snapA
 	log_must snapshot_tree $pool@snapC
@@ -94,13 +94,13 @@
 	log_must snapshot_tree $pool/$FS/fs1/fclone@snapA
 
 	if is_global_zone ; then
-		log_must $ZFS snapshot $pool/vol@snapA
-		log_must $ZFS snapshot $pool/$FS/vol@snapB
-		log_must $ZFS snapshot $pool/$FS/vol@snapC
-		log_must $ZFS snapshot $pool/$FS/vclone@snapC
+		log_must zfs snapshot $pool/vol@snapA
+		log_must zfs snapshot $pool/$FS/vol@snapB
+		log_must zfs snapshot $pool/$FS/vol@snapC
+		log_must zfs snapshot $pool/$FS/vclone@snapC
 	fi
 
-	log_must $ZFS snapshot -r $pool@final
+	log_must zfs snapshot -r $pool@final
 
 	return 0
 }
@@ -113,16 +113,16 @@
 function cleanup_pool
 {
 	typeset pool=$1
-	log_must $RM -rf $BACKDIR/*
+	log_must rm -rf $BACKDIR/*
 
 	if is_global_zone ; then
-		log_must $ZFS destroy -Rf $pool
+		log_must zfs destroy -Rf $pool
 	else
-		typeset list=$($ZFS list -H -r -t filesystem,snapshot,volume -o name $pool)
+		typeset list=$(zfs list -H -r -t filesystem,snapshot,volume -o name $pool)
 		for ds in $list ; do
 			if [[ $ds != $pool ]] ; then
 				if datasetexists $ds ; then
-					log_must $ZFS destroy -Rf $ds
+					log_must zfs destroy -Rf $ds
 				fi
 			fi
 		done
@@ -132,13 +132,13 @@
 	if ! ismounted $pool ; then
 		# Make sure mountpoint directory is empty
 		if [[ -d $mntpnt ]]; then
-			log_must $RM -rf $mntpnt/*
+			log_must rm -rf $mntpnt/*
 		fi
 
-		log_must $ZFS mount $pool
+		log_must zfs mount $pool
 	fi
 	if [[ -d $mntpnt ]]; then
-		log_must $RM -rf $mntpnt/*
+		log_must rm -rf $mntpnt/*
 	fi
 
 	return 0
@@ -155,16 +155,16 @@
 	typeset src_fs=$1
 	typeset dst_fs=$2
 
-	$ZFS list -r -H -t filesystem,snapshot,volume -o name $src_fs > $BACKDIR/src1
-	$ZFS list -r -H -t filesystem,snapshot,volume -o name $dst_fs > $BACKDIR/dst1
+	zfs list -r -H -t filesystem,snapshot,volume -o name $src_fs > $BACKDIR/src1
+	zfs list -r -H -t filesystem,snapshot,volume -o name $dst_fs > $BACKDIR/dst1
 
-	eval $SED -e 's:^$src_fs:PREFIX:g' < $BACKDIR/src1 > $BACKDIR/src
-	eval $SED -e 's:^$dst_fs:PREFIX:g' < $BACKDIR/dst1 > $BACKDIR/dst
+	eval sed -e 's:^$src_fs:PREFIX:g' < $BACKDIR/src1 > $BACKDIR/src
+	eval sed -e 's:^$dst_fs:PREFIX:g' < $BACKDIR/dst1 > $BACKDIR/dst
 
-	$DIFF $BACKDIR/src $BACKDIR/dst
+	diff $BACKDIR/src $BACKDIR/dst
 	typeset -i ret=$?
 
-	$RM -f $BACKDIR/src $BACKDIR/dst $BACKDIR/src1 $BACKDIR/dst1
+	rm -f $BACKDIR/src $BACKDIR/dst $BACKDIR/src1 $BACKDIR/dst1
 
 	return $ret
 }
@@ -184,7 +184,7 @@
 	srcdir=$(get_prop mountpoint $src_fs)
 	dstdir=$(get_prop mountpoint $dst_fs)
 
-	$DIFF -r $srcdir $dstdir > /dev/null 2>&1
+	diff -r $srcdir $dstdir > /dev/null 2>&1
 	echo $?
 }
 
@@ -205,19 +205,19 @@
 	    "sharenfs" "snapdir" "version" "volsize" "xattr" "zoned" \
 	    "mountpoint";
 	do
-		$ZFS get -H -o property,value,source $item $dtst1 >> \
+		zfs get -H -o property,value,source $item $dtst1 >> \
 		    $BACKDIR/dtst1
-		$ZFS get -H -o property,value,source $item $dtst2 >> \
+		zfs get -H -o property,value,source $item $dtst2 >> \
 		    $BACKDIR/dtst2
 	done
 
-	eval $SED -e 's:$dtst1:PREFIX:g' < $BACKDIR/dtst1 > $BACKDIR/dtst1
-	eval $SED -e 's:$dtst2:PREFIX:g' < $BACKDIR/dtst2 > $BACKDIR/dtst2
+	eval sed -e 's:$dtst1:PREFIX:g' < $BACKDIR/dtst1 > $BACKDIR/dtst1
+	eval sed -e 's:$dtst2:PREFIX:g' < $BACKDIR/dtst2 > $BACKDIR/dtst2
 
-	$DIFF $BACKDIR/dtst1 $BACKDIR/dtst2
+	diff $BACKDIR/dtst1 $BACKDIR/dtst2
 	typeset -i ret=$?
 
-	$RM -f $BACKDIR/dtst1 $BACKDIR/dtst2
+	rm -f $BACKDIR/dtst1 $BACKDIR/dtst2
 
 	return $ret
 
@@ -233,9 +233,9 @@
 	typeset dir=$1
 
 	if [[ -d $dir ]]; then
-		$RM -rf $dir
+		rm -rf $dir
 	fi
-	$MKDIR -p $dir
+	mkdir -p $dir
 	typeset -i ret=$?
 
 	typeset -i nl nd nf
@@ -242,7 +242,7 @@
 	((nl = RANDOM % 6 + 1))
 	((nd = RANDOM % 3 ))
 	((nf = RANDOM % 5 ))
-	$MKTREE -b $dir -l $nl -d $nd -f $nf
+	mktree -b $dir -l $nl -d $nd -f $nf
 	((ret |= $?))
 
 	return $ret
@@ -271,7 +271,7 @@
 	fi
 
 	if ((ret == 0)) ; then
-		$ZFS snapshot $snap
+		zfs snapshot $snap
 		((ret |= $?))
 	fi
 
@@ -288,7 +288,7 @@
 	typeset -i ret=0
 	typeset snap
 	for snap in "$@" ; do
-		$ZFS destroy $snap
+		zfs destroy $snap
 		ret=$?
 
 		typeset ds=${snap%%@*}
@@ -298,7 +298,7 @@
 			((ret |= $?))
 
 			if ((ret != 0)); then
-				$RM -r $mntpnt/$snap
+				rm -r $mntpnt/$snap
 				((ret |= $?))
 			fi
 		fi
@@ -322,10 +322,10 @@
 	typeset ds=$1
 	typeset suffix=$2
 
-	typeset list=$($ZFS list -r -H -t filesystem,snapshot,volume -o name $ds \
-	    | $GREP "$suffix$")
+	typeset list=$(zfs list -r -H -t filesystem,snapshot,volume -o name $ds \
+	    | grep "$suffix$")
 
-	$ECHO $list
+	echo $list
 }
 
 #
@@ -335,18 +335,18 @@
 {
 	typeset fs_prop
 	if is_global_zone ; then
-		fs_prop=$($ZFS inherit 2>&1 | \
-		    $AWK '$2=="YES" && $3=="YES" {print $1}')
+		fs_prop=$(zfs inherit 2>&1 | \
+		    awk '$2=="YES" && $3=="YES" {print $1}')
 		if ! is_te_enabled ; then
-		        fs_prop=$(echo $fs_prop | $GREP -v "mlslabel")
+		        fs_prop=$(echo $fs_prop | grep -v "mlslabel")
 		fi
 	else
-		fs_prop=$($ZFS inherit 2>&1 | \
-		    $AWK '$2=="YES" && $3=="YES" {print $1}'|
-		    $EGREP -v "devices|mlslabel|sharenfs|sharesmb|zoned")
+		fs_prop=$(zfs inherit 2>&1 | \
+		    awk '$2=="YES" && $3=="YES" {print $1}'|
+		    egrep -v "devices|mlslabel|sharenfs|sharesmb|zoned")
 	fi
 
-	$ECHO $fs_prop
+	echo $fs_prop
 }
 
 #
@@ -354,7 +354,7 @@
 #
 function vol_inherit_prop
 {
-	$ECHO "checksum readonly"
+	echo "checksum readonly"
 }
 
 #
@@ -368,11 +368,11 @@
 	#
 	# If the srcfs is not pool
 	#
-	if ! $ZPOOL list $srcfs > /dev/null 2>&1 ; then
+	if ! zpool list $srcfs > /dev/null 2>&1 ; then
 		eval dstfs="$dstfs/${srcfs#*/}"
 	fi
 
-	$ECHO $dstfs
+	echo $dstfs
 }
 
 #
@@ -391,13 +391,13 @@
 	fs=$4
 
 	for ((i=0; i<$nfiles; i=i+1)); do
-		$DD if=/dev/urandom \
+		dd if=/dev/urandom \
 		    of=/$fs/file-$maxsize-$((i+$file_id_offset)) \
 		    bs=$(($RANDOM * $RANDOM % $maxsize)) \
 		    count=1 >/dev/null 2>&1 || log_fail \
 		    "Failed to create /$fs/file-$maxsize-$((i+$file_id_offset))"
 	done
-	$ECHO Created $nfiles files of random sizes up to $maxsize bytes
+	echo Created $nfiles files of random sizes up to $maxsize bytes
 }
 
 #
@@ -416,9 +416,9 @@
 	fs=$4
 
 	for ((i=0; i<$nfiles; i=i+1)); do
-		$RM -f /$fs/file-$maxsize-$((i+$file_id_offset))
+		rm -f /$fs/file-$maxsize-$((i+$file_id_offset))
 	done
-	$ECHO Removed $nfiles files of random sizes up to $maxsize bytes
+	echo Removed $nfiles files of random sizes up to $maxsize bytes
 }
 
 #
@@ -430,7 +430,7 @@
 {
 	file=$1
 
-	filesize=$($STAT -c '%s' $file)
+	filesize=$(stat -c '%s' $file)
 	offset=$(($RANDOM * $RANDOM % $filesize))
 	if (($RANDOM % 7 <= 1)); then
 		#
@@ -437,10 +437,10 @@
 		# We corrupt 2 bytes to minimize the chance that we
 		# write the same value that's already there.
 		#
-		log_must eval "$DD if=/dev/random of=$file conv=notrunc " \
+		log_must eval "dd if=/dev/random of=$file conv=notrunc " \
 		    "bs=1 count=2 oseek=$offset >/dev/null 2>&1"
 	else
-		log_must $TRUNCATE -s $offset $file
+		log_must truncate -s $offset $file
 	fi
 }
 
@@ -457,12 +457,12 @@
 
 	if [[ -d /$recvfs/.zfs/snapshot/a && -d \
 	    /$sendfs/.zfs/snapshot/a ]]; then
-		$DIFF -r /$recvfs/.zfs/snapshot/a /$sendfs/.zfs/snapshot/a
+		diff -r /$recvfs/.zfs/snapshot/a /$sendfs/.zfs/snapshot/a
 		[[ $? -eq 0 ]] || log_fail "Differences found in snap a"
 	fi
 	if [[ -d /$recvfs/.zfs/snapshot/b && -d \
 	    /$sendfs/.zfs/snapshot/b ]]; then
-		$DIFF -r /$recvfs/.zfs/snapshot/b /$sendfs/.zfs/snapshot/b
+		diff -r /$recvfs/.zfs/snapshot/b /$sendfs/.zfs/snapshot/b
 		[[ $? -eq 0 ]] || log_fail "Differences found in snap b"
 	fi
 }
@@ -485,15 +485,15 @@
 
 	for ((i=0; i<2; i=i+1)); do
 		mess_file /$streamfs/$stream_num
-		log_mustnot $ZFS recv -sv $recvfs </$streamfs/$stream_num
+		log_mustnot zfs recv -sv $recvfs </$streamfs/$stream_num
 		stream_num=$((stream_num+1))
 
-		token=$($ZFS get -Hp -o value receive_resume_token $recvfs)
-		log_must eval "$ZFS send -v -t $token >/$streamfs/$stream_num"
+		token=$(zfs get -Hp -o value receive_resume_token $recvfs)
+		log_must eval "zfs send -v -t $token >/$streamfs/$stream_num"
 		[[ -f /$streamfs/$stream_num ]] || \
 		    log_fail "NO FILE /$streamfs/$stream_num"
 	done
-	log_must $ZFS recv -sv $recvfs </$streamfs/$stream_num
+	log_must zfs recv -sv $recvfs </$streamfs/$stream_num
 }
 
 #
@@ -512,40 +512,40 @@
 	streamfs=$sendpool/stream
 
 	if datasetexists $recvfs; then
-		log_must $ZFS destroy -r $recvfs
+		log_must zfs destroy -r $recvfs
 	fi
 	if datasetexists $sendfs; then
-		log_must $ZFS destroy -r $sendfs
+		log_must zfs destroy -r $sendfs
 	fi
-	if $($ZFS create -o compress=lz4 $sendfs); then
+	if $(zfs create -o compress=lz4 $sendfs); then
 		mk_files 1000 256 0 $sendfs &
 		mk_files 1000 131072 0 $sendfs &
 		mk_files 100 1048576 0 $sendfs &
 		mk_files 10 10485760 0 $sendfs &
 		mk_files 1 104857600 0 $sendfs &
-		log_must $WAIT
-		log_must $ZFS snapshot $sendfs@a
+		log_must wait
+		log_must zfs snapshot $sendfs@a
 
 		rm_files 200 256 0 $sendfs &
 		rm_files 200 131072 0 $sendfs &
 		rm_files 20 1048576 0 $sendfs &
 		rm_files 2 10485760 0 $sendfs &
-		log_must $WAIT
+		log_must wait
 
 		mk_files 400 256 0 $sendfs &
 		mk_files 400 131072 0 $sendfs &
 		mk_files 40 1048576 0 $sendfs &
 		mk_files 4 10485760 0 $sendfs &
-		log_must $WAIT
+		log_must wait
 
-		log_must $ZFS snapshot $sendfs@b
-		log_must eval "$ZFS send -v $sendfs@a >/$sendpool/initial.zsend"
-		log_must eval "$ZFS send -v -i @a $sendfs@b " \
+		log_must zfs snapshot $sendfs@b
+		log_must eval "zfs send -v $sendfs@a >/$sendpool/initial.zsend"
+		log_must eval "zfs send -v -i @a $sendfs@b " \
 		    ">/$sendpool/incremental.zsend"
 	fi
 
 	if datasetexists $streamfs; then
-		log_must $ZFS destroy -r $streamfs
+		log_must zfs destroy -r $streamfs
 	fi
-	log_must $ZFS create -o compress=lz4 $sendpool/stream
+	log_must zfs create -o compress=lz4 $sendpool/stream
 }
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_001_pos.ksh	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_001_pos.ksh	Wed Aug 31 16:21:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -50,8 +50,8 @@
 #
 # Verify the entire pool and sub-ds can be backup and restored.
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 dstds=$(get_dst_ds $POOL $POOL2)
 log_must cmp_ds_subs $POOL $dstds
@@ -63,8 +63,8 @@
 #
 # Verify all the filesystem and sub-fs can be backup and restored.
 #
-log_must eval "$ZFS send -R $POOL/$FS@final > $BACKDIR/fs-final-R"
-log_must eval "$ZFS receive -d $POOL2 < $BACKDIR/fs-final-R"
+log_must eval "zfs send -R $POOL/$FS@final > $BACKDIR/fs-final-R"
+log_must eval "zfs receive -d $POOL2 < $BACKDIR/fs-final-R"
 
 dstds=$(get_dst_ds $POOL/$FS $POOL2)
 log_must cmp_ds_subs $POOL/$FS $dstds
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_002_pos.ksh	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_002_pos.ksh	Wed Aug 31 16:21:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -50,17 +50,17 @@
 #
 # Duplicate POOL2
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-R"
 
 if is_global_zone ; then
 	#
 	# Verify send -I will backup all the incrementals in pool
 	#
-	log_must eval "$ZFS send -I $POOL2@init $POOL2@final > " \
+	log_must eval "zfs send -I $POOL2@init $POOL2@final > " \
 		"$BACKDIR/pool-init-final-I"
 	log_must destroy_tree $POOL2@final $POOL2@snapC $POOL2@snapA
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-init-final-I"
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-init-final-I"
 	log_must cmp_ds_subs $POOL $POOL2
 	log_must cmp_ds_cont $POOL $POOL2
 fi
@@ -70,9 +70,9 @@
 #
 # Verify send -I will backup all the incrementals in filesystem
 #
-log_must eval "$ZFS send -I @init $dstds/$FS@final > $BACKDIR/fs-init-final-I"
+log_must eval "zfs send -I @init $dstds/$FS@final > $BACKDIR/fs-init-final-I"
 log_must destroy_tree $dstds/$FS@final $dstds/$FS@snapC $dstds/$FS@snapB
-log_must eval "$ZFS receive -d -F $dstds < $BACKDIR/fs-init-final-I"
+log_must eval "zfs receive -d -F $dstds < $BACKDIR/fs-init-final-I"
 log_must cmp_ds_subs $POOL $dstds
 log_must cmp_ds_cont $POOL $dstds
 
@@ -81,11 +81,11 @@
 	# Verify send -I will backup all the incrementals in volume
 	#
 	dataset=$POOL2/$FS/vol
-	log_must eval "$ZFS send -I @vsnap $dataset@final > " \
+	log_must eval "zfs send -I @vsnap $dataset@final > " \
 		"$BACKDIR/vol-vsnap-final-I"
 	log_must destroy_tree $dataset@final $dataset@snapC  \
 		$dataset@snapB $dataset@init
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/vol-vsnap-final-I"
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/vol-vsnap-final-I"
 	log_must cmp_ds_subs $POOL $POOL2
 	log_must cmp_ds_cont $POOL $POOL2
 fi
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_003_pos.ksh	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_003_pos.ksh	Wed Aug 31 16:21:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -50,17 +50,17 @@
 #
 # Duplicate POOL2
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-R"
 
 if is_global_zone ; then
 	#
 	# Verify send -I backup all incrementals from pool
 	#
-	log_must eval "$ZFS send -I $POOL2@psnap $POOL2/pclone@final > " \
+	log_must eval "zfs send -I $POOL2@psnap $POOL2/pclone@final > " \
 		"$BACKDIR/pool-clone-I"
-	log_must $ZFS destroy -rf $POOL2/pclone
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-clone-I"
+	log_must zfs destroy -rf $POOL2/pclone
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-clone-I"
 	log_must cmp_ds_subs $POOL $POOL2
 	log_must cmp_ds_cont $POOL $POOL2
 fi
@@ -71,10 +71,10 @@
 # Verify send -I backup all incrementals from filesystem
 #
 ds=$dstds/$FS/fs1
-log_must eval "$ZFS send -I $ds/fs2@fsnap $ds/fclone@final > " \
+log_must eval "zfs send -I $ds/fs2@fsnap $ds/fclone@final > " \
 	"$BACKDIR/fs-clone-I"
-log_must $ZFS destroy -rf $ds/fclone
-log_must eval "$ZFS receive -F $ds/fclone < $BACKDIR/fs-clone-I"
+log_must zfs destroy -rf $ds/fclone
+log_must eval "zfs receive -F $ds/fclone < $BACKDIR/fs-clone-I"
 
 log_must cmp_ds_subs $POOL $dstds
 log_must cmp_ds_cont $POOL $dstds
@@ -84,10 +84,10 @@
 	# Verify send -I backup all incrementals from volume
 	#
 	ds=$POOL2/$FS
-	log_must eval "$ZFS send -I $ds/vol@vsnap $ds/vclone@final > " \
+	log_must eval "zfs send -I $ds/vol@vsnap $ds/vclone@final > " \
 		"$BACKDIR/vol-clone-I"
-	log_must $ZFS destroy -rf $ds/vclone
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/vol-clone-I"
+	log_must zfs destroy -rf $ds/vclone
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/vol-clone-I"
 	log_must cmp_ds_subs $POOL $POOL2
 	log_must cmp_ds_cont $POOL $POOL2
 fi
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_004_pos.ksh	Wed Aug 31 16:21:28 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_004_pos.ksh	Wed Aug 31 16:21:28 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -51,8 +51,8 @@
 #
 # Duplicate POOL2 for testing
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 if is_global_zone ; then
 	#
@@ -63,10 +63,10 @@
 	interlist="$interlist $(getds_with_suffix $POOL2 @snapB)"
 	interlist="$interlist $(getds_with_suffix $POOL2 @snapA)"
 
-	log_must eval "$ZFS send -R -i @init $POOL2@final > " \
+	log_must eval "zfs send -R -i @init $POOL2@final > " \
 		"$BACKDIR/pool-init-final-iR"
 	log_must destroy_tree $interlist
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-init-final-iR"
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-init-final-iR"
 
 	# Get current datasets with suffix @final
 	dstlist=$(getds_with_suffix $POOL2 @final)
@@ -80,7 +80,7 @@
 #
 # Testing send -R -i backup from filesystem
 #
-log_must eval "$ZFS send -R -i @init $dstds/$FS@final > " \
+log_must eval "zfs send -R -i @init $dstds/$FS@final > " \
 	"$BACKDIR/fs-init-final-iR"
 
 srclist=$(getds_with_suffix $dstds/$FS @final)
@@ -89,9 +89,9 @@
 interlist="$interlist $(getds_with_suffix $dstds/$FS @snapA)"
 log_must destroy_tree $interlist
 if is_global_zone ; then
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/fs-init-final-iR"
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/fs-init-final-iR"
 else
-	$ZFS receive -F -d $dstds/$FS < $BACKDIR/fs-init-final-iR
+	zfs receive -F -d $dstds/$FS < $BACKDIR/fs-init-final-iR
 fi
 
 dstlist=$(getds_with_suffix $dstds/$FS @final)
@@ -105,10 +105,10 @@
 	# Testing send -R -i backup from volume
 	#
 	srclist=$(getds_with_suffix $POOL2/$FS/vol @final)
-	log_must eval "$ZFS send -R -i @init $POOL2/$FS/vol@final > " \
+	log_must eval "zfs send -R -i @init $POOL2/$FS/vol@final > " \
 		"$BACKDIR/vol-init-final-iR"
 	log_must destroy_tree $srclist
-	log_must eval "$ZFS receive -d $POOL2 < $BACKDIR/vol-init-final-iR"
+	log_must eval "zfs receive -d $POOL2 < $BACKDIR/vol-init-final-iR"
 
 	dstlist=$(getds_with_suffix $POOL2/$FS/vol @final)
 	if [[ $srclist != $dstlist ]]; then
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_005_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_005_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -51,14 +51,14 @@
 #
 # Duplicate POOL2 for testing
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 if is_global_zone ; then
 	#
 	# Testing send -R -I from pool
 	#
-	log_must eval "$ZFS send -R -I @init $POOL2@final > " \
+	log_must eval "zfs send -R -I @init $POOL2@final > " \
 		"$BACKDIR/pool-init-final-IR"
 	list=$(getds_with_suffix $POOL2 @snapA)
 	list="$list $(getds_with_suffix $POOL2 @snapB)"
@@ -65,7 +65,7 @@
 	list="$list $(getds_with_suffix $POOL2 @snapC)"
 	list="$list $(getds_with_suffix $POOL2 @final)"
 	log_must destroy_tree $list
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-init-final-IR"
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-init-final-IR"
 	log_must cmp_ds_cont $POOL $POOL2
 fi
 
@@ -73,7 +73,7 @@
 #
 # Testing send -R -I from filesystem
 #
-log_must eval "$ZFS send -R -I @init $dstds/$FS@final > " \
+log_must eval "zfs send -R -I @init $dstds/$FS@final > " \
 	"$BACKDIR/fs-init-final-IR"
 list=$(getds_with_suffix $dstds/$FS @snapA)
 list="$list $(getds_with_suffix $dstds/$FS @snapB)"
@@ -81,9 +81,9 @@
 list="$list $(getds_with_suffix $dstds/$FS @final)"
 log_must destroy_tree $list
 if is_global_zone ; then
-	log_must eval "$ZFS receive -d -F $dstds < $BACKDIR/fs-init-final-IR"
+	log_must eval "zfs receive -d -F $dstds < $BACKDIR/fs-init-final-IR"
 else
-	$ZFS receive -d -F $dstds < $BACKDIR/fs-init-final-IR
+	zfs receive -d -F $dstds < $BACKDIR/fs-init-final-IR
 fi
 log_must cmp_ds_subs $POOL $dstds
 log_must cmp_ds_cont $POOL $dstds
@@ -93,10 +93,10 @@
 	# Testing send -I -R for volume
 	#
 	vol=$POOL2/$FS/vol
-	log_must eval "$ZFS send -R -I @init $vol@final > " \
+	log_must eval "zfs send -R -I @init $vol@final > " \
 		"$BACKDIR/vol-init-final-IR"
 	log_must destroy_tree $vol@snapB $vol@snapC $vol@final
-	log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/vol-init-final-IR"
+	log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/vol-init-final-IR"
 	log_must cmp_ds_subs $POOL $POOL2
 	log_must cmp_ds_cont $POOL $POOL2
 fi
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_006_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_006_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -64,7 +64,7 @@
 
 typeset -i i=0
 while ((i < ${#snaps[@]})); do
-	log_must $ZFS rename -r ${snaps[$i]} ${snaps[((i+1))]}
+	log_must zfs rename -r ${snaps[$i]} ${snaps[((i+1))]}
 
 	((i += 2))
 done
@@ -72,8 +72,8 @@
 #
 # Duplicate POOL2 for testing
 #
-log_must eval "$ZFS send -R $POOL@init > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@init > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 dstds=$(get_dst_ds $POOL $POOL2)
 log_must cmp_ds_subs $POOL $dstds
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_007_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_007_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -64,7 +64,7 @@
 
 typeset -i i=0
 while ((i < ${#dtst[@]})); do
-	log_must $ZFS rename ${dtst[$i]} ${dtst[((i+1))]}
+	log_must zfs rename ${dtst[$i]} ${dtst[((i+1))]}
 
 	((i += 2))
 done
@@ -72,8 +72,8 @@
 #
 # Verify zfs send -R should succeed
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 dstds=$(get_dst_ds $POOL $POOL2)
 log_must cmp_ds_subs $POOL $dstds
 log_must cmp_ds_cont $POOL $dstds
@@ -81,7 +81,7 @@
 #
 # Verify zfs send -R -I should succeed
 #
-log_must eval "$ZFS send -R -I @init $dstds@final > " \
+log_must eval "zfs send -R -I @init $dstds@final > " \
         "$BACKDIR/pool-init-final-IR"
 list=$(getds_with_suffix $dstds @snapA)
 list="$list $(getds_with_suffix $dstds @snapB)"
@@ -89,9 +89,9 @@
 list="$list $(getds_with_suffix $dstds @final)"
 log_must destroy_tree $list
 if is_global_zone ; then
-	log_must eval "$ZFS receive -d -F $dstds < $BACKDIR/pool-init-final-IR"
+	log_must eval "zfs receive -d -F $dstds < $BACKDIR/pool-init-final-IR"
 else
-	$ZFS receive -d -F $dstds < $BACKDIR/pool-init-final-IR
+	zfs receive -d -F $dstds < $BACKDIR/pool-init-final-IR
 fi
 log_must cmp_ds_subs $POOL $dstds
 log_must cmp_ds_cont $POOL $dstds
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_008_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_008_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -60,7 +60,7 @@
 		origin=$(get_prop origin ${dtst[$i]})
 
 		if [[ $origin != "-" ]]; then
-			log_must $ZFS promote ${dtst[$i]}
+			log_must zfs promote ${dtst[$i]}
 		fi
 
 		((i += 2))
@@ -68,7 +68,7 @@
 
 	origin=$(get_prop origin $POOL2)
 	if [[ $origin != "-" ]]; then
-		log_must $ZFS promote $POOL2
+		log_must zfs promote $POOL2
 	fi
 	log_must cleanup_pool $POOL2
 }
@@ -78,7 +78,7 @@
 
 typeset -i i=0
 while ((i < ${#dtst[@]})); do
-	log_must $ZFS promote ${dtst[((i+1))]}
+	log_must zfs promote ${dtst[((i+1))]}
 
 	((i += 2))
 done
@@ -86,8 +86,8 @@
 #
 # Verify zfs send -R should succeed
 #
-log_must eval "$ZFS send -R $POOL@final > $BACKDIR/pool-final-R"
-log_must eval "$ZFS receive -d -F $POOL2 < $BACKDIR/pool-final-R"
+log_must eval "zfs send -R $POOL@final > $BACKDIR/pool-final-R"
+log_must eval "zfs receive -d -F $POOL2 < $BACKDIR/pool-final-R"
 
 dstds=$(get_dst_ds $POOL $POOL2)
 #
@@ -119,10 +119,10 @@
 done
 
 # Verify the original filesystem can be promoted
-log_must $ZFS promote $dstds
+log_must zfs promote $dstds
 if is_global_zone ; then
-	log_must $ZFS promote $dstds/$FS/vol
+	log_must zfs promote $dstds/$FS/vol
 fi
-log_must $ZFS promote $dstds/$FS/fs1/fs2
+log_must zfs promote $dstds/$FS/fs1/fs2
 
 log_pass "Changes made by 'zfs promote' can be properly received."
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_009_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_009_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -48,10 +48,10 @@
 function cleanup
 {
 	if datasetexists bpool ; then
-		log_must $ZPOOL destroy -f bpool
+		log_must zpool destroy -f bpool
 	fi
 	if datasetexists spool ; then
-		log_must $ZPOOL destroy -f spool
+		log_must zpool destroy -f spool
 	fi
 }
 
@@ -58,8 +58,8 @@
 log_assert "Verify zfs receive can handle out of space correctly."
 log_onexit cleanup
 
-log_must $MKFILE $MINVDEVSIZE $TESTDIR/bfile
-log_must $MKFILE $SPA_MINDEVSIZE  $TESTDIR/sfile
+log_must mkfile $MINVDEVSIZE $TESTDIR/bfile
+log_must mkfile $SPA_MINDEVSIZE  $TESTDIR/sfile
 log_must zpool create bpool $TESTDIR/bfile
 log_must zpool create spool $TESTDIR/sfile
 
@@ -66,13 +66,13 @@
 #
 # Test out of space on sub-filesystem
 #
-log_must $ZFS create bpool/fs
+log_must zfs create bpool/fs
 mntpnt=$(get_prop mountpoint bpool/fs)
-log_must $MKFILE 30M $mntpnt/file
+log_must mkfile 30M $mntpnt/file
 
-log_must $ZFS snapshot bpool/fs@snap
-log_must eval "$ZFS send -R bpool/fs@snap > $BACKDIR/fs-R"
-log_mustnot eval "$ZFS receive -d -F spool < $BACKDIR/fs-R"
+log_must zfs snapshot bpool/fs@snap
+log_must eval "zfs send -R bpool/fs@snap > $BACKDIR/fs-R"
+log_mustnot eval "zfs receive -d -F spool < $BACKDIR/fs-R"
 
 log_must datasetnonexists spool/fs
 log_must ismounted spool
@@ -81,12 +81,12 @@
 # Test out of space on top filesystem
 #
 mntpnt2=$(get_prop mountpoint bpool)
-log_must $MV $mntpnt/file $mntpnt2
-log_must $ZFS destroy -rf bpool/fs
+log_must mv $mntpnt/file $mntpnt2
+log_must zfs destroy -rf bpool/fs
 
-log_must $ZFS snapshot bpool@snap
-log_must eval "$ZFS send -R bpool@snap > $BACKDIR/bpool-R"
-log_mustnot eval "$ZFS receive -d -F spool < $BACKDIR/bpool-R"
+log_must zfs snapshot bpool@snap
+log_must eval "zfs send -R bpool@snap > $BACKDIR/bpool-R"
+log_mustnot eval "zfs receive -d -F spool < $BACKDIR/bpool-R"
 
 log_must datasetnonexists spool/fs
 log_must ismounted spool
--- old/usr/src/test/zfs-tests/tests/functional/rsend/rsend_010_pos.ksh	Wed Aug 31 16:21:29 2016
+++ new/usr/src/test/zfs-tests/tests/functional/rsend/rsend_010_pos.ksh	Wed Aug 31 16:21:29 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2013 by Delphix. All rights reserved.
+# Copyright (c) 2013, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/tests/functional/rsend/rsend.kshlib
@@ -47,23 +47,23 @@
 log_assert "ZFS can handle stream with multiple identical (same GUID) snapshots"
 log_onexit cleanup_pool $POOL2
 
-log_must $ZFS create $POOL2/$FS
-log_must $ZFS snapshot $POOL2/$FS@snap
+log_must zfs create $POOL2/$FS
+log_must zfs snapshot $POOL2/$FS@snap
 
 #
 # First round restore the stream
 #
-log_must eval "$ZFS send -R $POOL2/$FS@snap > $BACKDIR/fs-R"
-log_must eval "$ZFS receive -d -F $POOL2/$FS < $BACKDIR/fs-R"
+log_must eval "zfs send -R $POOL2/$FS@snap > $BACKDIR/fs-R"
+log_must eval "zfs receive -d -F $POOL2/$FS < $BACKDIR/fs-R"
 
 #
 # In order to avoid 'zfs send -R' failed, create snapshot for
 # all the sub-systems
 #
-list=$($ZFS list -r -H -o name -t filesystem $POOL2/$FS)
+list=$(zfs list -r -H -o name -t filesystem $POOL2/$FS)
 for item in $list ; do
 	if datasetnonexists $item@snap ; then
-		log_must $ZFS snapshot $item@snap
+		log_must zfs snapshot $item@snap
 	fi
 done
 
@@ -70,8 +70,8 @@
 #
 # Second round restore the stream
 #
-log_must eval "$ZFS send -R $POOL2/$FS@snap > $BACKDIR/fs-R"
+log_must eval "zfs send -R $POOL2/$FS@snap > $BACKDIR/fs-R"
 dstds=$(get_dst_ds $POOL2/$FS $POOL2/$FS)
-log_must eval "$ZFS receive -d -F $dstds < $BACKDIR/fs-R"
+log_must eval "zfs receive -d -F $dstds < $BACKDIR/fs-R"
 
 log_pass "ZFS can handle stream with multiple identical (same GUID) snapshots"
